Статьи Галерея Форум Чат Файлы HowTo Ссылки Поиск
Текущее время: 26 фев 2017, 08:48




Начать новую тему Ответить на тему  [ Сообщений: 61 ]  На страницу Пред.  1, 2, 3, 4, 5  След.
Автор Сообщение
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 22 фев 2010, 11:52 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 13.09.2006
Сообщения: 849
Откуда: Минск
Anti, поделитесь способом. Мало ли, в будущем у кого-то возникнут такие же проблемы.


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 22 фев 2010, 15:20 
Заглянувший

У нас с: 13.02.2010
Сообщения: 32
Я прописал в /etc/apt/apt.conf

Acquire::http::proxy "http://login:password@proxy:port/";
Acquire::https::proxy "https://login:password@proxy:port/";
Acquire::ftp::proxy "ftp://login:password@proxy:port/";


И в /etc/enviroment

PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
http_proxy="http://login:password@proxy:port/"
https_proxy="https://login:password@proxy:port/"
ftp_proxy="ftp://login:password@proxy:port/"



Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 22 фев 2010, 16:09 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 22.11.2005
Сообщения: 235
Второй части было бы достаточно


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 26 фев 2010, 18:22 
Заглянувший

У нас с: 13.02.2010
Сообщения: 32
А вот теперь новая проблема. Посоветовали мне ICQ клиент qutIM. С его установкой возникли проблемы:
sudo apt-get install qutim
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
E: Не удалось найти пакет qutim
Захожу на packages.ubuntu.com, скачиваю оттуда пакет. При установке он мне пишет, что нет пакета libqt4-network (>= 4:4.6.0). Захожу в менеджер пакетов, ввожу название и вижу, что libqt4-network установлен, но версия (= 4.5.3really4.5.2-0ubuntu1). Флажок "для обновления" не ставится, sudo apt-get upgrade libqt4-network говорит, что уже установлена новейшая версия.
Добавил в /etc/apt/sources.list deb http://cz.archive.ubuntu.com/ubuntu lucid main, как раз то, что и предлагал мне ввести сайт в обмен на скачивание всех пакетов вручную. Обновил список пакетов, но ситуация не исправилась. :( Вручную скачал libqt4-network 4:4.6.1, установил, установщик qutim пишет что ему не хватает ещё одного пакета и т.д. В итоге потребовал пакет, который также не обновлялся, а удаление старого влекло за собой, наверное, удаление половины вообще всех установленых пакетов, если не больше. :shock: Так как всё-таки установить эту программу?


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 26 фев 2010, 18:35 
Неотъемлемая часть форума

У нас с: 19.11.2007
Сообщения: 484
http://www.qutim.org/linux

_________________
Two of the most famous products of Berkeley are LSD and BSD:)


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 27 фев 2010, 12:13 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 22.11.2005
Сообщения: 235
Перед тем, как что-то обновлять, нужно обновить список пакетов с зеркала.
apt-get update


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 11:29 
Неотъемлемая часть форума

У нас с: 13.01.2009
Сообщения: 563
В GNU/Linux нельзя использовать очень старые версии программ, если всё время обновляешь дистрибутивы и ПО? Тогда не будут удоволетворены зависимости? Например, я использую всегда последние версии, скажем, Ubuntu/Mint/SUSE. И пытаюсь установить туда самую первую версию OpenOffice или Thunderbird. Они не встанут? Ведь им нужны какие-то пакеты для удоволетворения зависимостей, а эти пакеты новых версий, и будет несовместимость?

_________________
Пользую Arch Linux. Ну, вы знаете - "не было печали - апдейтов накачали".


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 11:50 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 22.11.2005
Сообщения: 235
А зачем, собственно?


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 12:09 
Неотъемлемая часть форума

У нас с: 13.01.2009
Сообщения: 563
Вдруг новые версии какой-то определённой программы окажутся хуже старых... В Windows я уже с таким сталкивался.

_________________
Пользую Arch Linux. Ну, вы знаете - "не было печали - апдейтов накачали".


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 12:47 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 22.07.2007
Сообщения: 377
Откуда: Минск
Для этого можно использовать песочницу на основе chroot/openvz. Накладные расходы будут минимальны.

_________________
Админ шоколадки не пьет!


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 16:08 
Неотъемлемая часть форума

У нас с: 13.01.2009
Сообщения: 563
Получается, GNU/Linux - очень неавтономная операционная система? Если использовать страрую версию дистрибутива, то ничего нельзя обновлять. Всё будет работать изкаробки. Как только задумаешь полезть в Интернет за обновлениями, сразу выяснится, что для удовлетворения зависимостей придётся обновить почти всё ПО, почти все пакеты, а то и версию дисрибутива... Так? То есть - либо пользуйся старьём во всём, либо получай последнее, что есть в репозиториях. Это просто размышления такие...

_________________
Пользую Arch Linux. Ну, вы знаете - "не было печали - апдейтов накачали".


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 17:55 
Неотъемлемая часть форума

У нас с: 10.05.2006
Сообщения: 298
Откуда: Менск
Virgil, а навошта нешта абнаўляць, калі ўсё працуе?

_________________
openSUSE 11.3/12.3


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 19:19 
Неотъемлемая часть форума

У нас с: 13.01.2009
Сообщения: 563
Я не понимаю... :|

_________________
Пользую Arch Linux. Ну, вы знаете - "не было печали - апдейтов накачали".


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 19:31 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 22.11.2005
Сообщения: 235
Да, вот такая вот гадкая эта ОС.


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: Проблема с установкой программ
СообщениеДобавлено: 03 мар 2010, 19:44 
Неотъемлемая часть форума
Аватара пользователя

У нас с: 13.09.2006
Сообщения: 849
Откуда: Минск
Virgil, если обновлять старую версию, она перестанет быть старой версией. Это совершенно очевидная логика, и архитектура ОС тут ни при чем.

Если же Вы имеете в виду, что Вам хочется обновлять только отдельные группы пакетов (или наоборот, не обновлять отдельные группы пакетов), то это можно сделать в определенных пределах. Но для начала придется разобраться с aptitude howto.


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 61 ]  На страницу Пред.  1, 2, 3, 4, 5  След.


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Перейти:  
[ All resources are available under GNU GPL ] [ Support ] [ Hosted by DataHata | MyCloud.by ] [ Powered by phpBB® Forum Software © phpBB Group ]

LVEE Winter LVEE Rambler's Top100